package com.nec.exi.editor;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class Resources {
	private static final String BUNDLE_NAME = "com.nec.exi.editor.resources"; //$NON-NLS-1$

	private static final ResourceBundle RESOURCE_BUNDLE = ResourceBundle
			.getBundle(BUNDLE_NAME);

	private Resources() {
	}

	public static String get(String key) {
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
